> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alerty.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Chart for a Monitor



## OpenAPI

````yaml POST /monitor/{id}/chart
openapi: 3.1.0
info:
  title: Lumos API
  version: 1.0.0
  description: Lumos RESTful API
  x-logo:
    url: >-
      https://zorp.zeetco.com/static/media/mark-white.8c3b78e3c878db1859b6319c98dc38b6.svg
    altText: Zeet Logo
  contact:
    email: support@zeet.co
servers:
  - url: https://api.alerty.ai
security: []
paths:
  /monitor/{id}/chart:
    post:
      summary: Retrieve a Chart for a Monitor
      operationId: getMonitorChart
      parameters:
        - name: id
          description: the monitor identifier
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TimeSeriesInput'
      responses:
        '200':
          description: successful monitor retrieval
          content:
            application/json:
              schema:
                type: array
                description: the list of time series
                items:
                  $ref: '#/components/schemas/TimeSeries'
        '400':
          $ref: '#/components/responses/BadRequest'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - bearerAuth: []
        - cookieAuth: []
components:
  schemas:
    UUID:
      description: Unique identifier for the entity
      type: string
      format: uuid
      example: 5df33a85-2b9c-40e3-8854-760ee3b8efc7
      x-go-name: ID
    TimeSeriesInput:
      type: object
      description: the input when asking for time series data
      properties:
        range:
          $ref: '#/components/schemas/TimeSeriesRange'
        stepInSeconds:
          type: integer
          description: the data step aggregation
        filterBy:
          type: object
          additionalProperties: true
    TimeSeries:
      type: object
      description: a time series label
      properties:
        labels:
          type: array
          description: the series labels
          items:
            $ref: '#/components/schemas/TimeSeriesLabel'
        entries:
          type: array
          description: the series entries
          items:
            $ref: '#/components/schemas/TimeSeriesEntry'
      required:
        - labels
        - entries
    TimeSeriesRange:
      type: object
      description: the range the time series will return data
      properties:
        start:
          type: string
          description: start of time frame
          format: date-time
        end:
          type: string
          description: end of time frame
          format: date-time
      required:
        - start
        - end
    TimeSeriesLabel:
      type: object
      description: a time series label
      properties:
        label:
          type: string
          description: the label name
        value:
          type: string
          description: the label value
      required:
        - label
        - value
    TimeSeriesEntry:
      type: object
      description: a time series entry
      properties:
        timestamp:
          type: string
          description: entry timestamp
          format: date-time
        value:
          type: string
          description: entry value for that time
      required:
        - timestamp
        - value
    ApiError:
      type: object
      properties:
        code:
          type: integer
          description: a custom Lumos error code
          format: uint64
          example: 1400
        field:
          type: string
          description: the field that this error is associated with, if applicable
          example: name
        description:
          type: string
          description: a description for this error
          example: A descriptive error message
      required:
        - description
  responses:
    BadRequest:
      description: The request is malformed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    NotFound:
      description: The resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    ServerError:
      description: Server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    cookieAuth:
      type: apiKey
      in: cookie
      name: __lumos_session

````